/*---------------------------------------------------------------------------*\
 | CtlHTML DemoView.h  - CtlHTML(tm) Control Library Test Program            |
 |                       Windmill Point Software, Alburg, VT 05440           |
 |                       Copyright (c) 1999, Windmill Point Software         |
 |                       All Rights Reserved.                                |
\*---------------------------------------------------------------------------*/

#if !defined(AFX_CTLHTMLDEMOVIEW_H__EB1EC7CE_02DC_11D3_8171_40F255C10000__INCLUDED_)
#define AFX_CTLHTMLDEMOVIEW_H__EB1EC7CE_02DC_11D3_8171_40F255C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCtlHTMLDemoView : public CFormView
{
protected: // create from serialization only
	CCtlHTMLDemoView();
	DECLARE_DYNCREATE(CCtlHTMLDemoView)

public:
	//{{AFX_DATA(CCtlHTMLDemoView)
	enum{ IDD = IDD_CTLHTMLDEMO_FORM };
	//}}AFX_DATA

// Attributes
public:
	CCtlHTMLDemoDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCtlHTMLDemoView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCtlHTMLDemoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCtlHTMLDemoView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
   afx_msg HBRUSH OnCtlColor (CDC *pDC, CWnd *pWnd, UINT nCtlColor);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in CtlHTML DemoView.cpp
inline CCtlHTMLDemoDoc* CCtlHTMLDemoView::GetDocument()
   { return (CCtlHTMLDemoDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CTLHTMLDEMOVIEW_H__EB1EC7CE_02DC_11D3_8171_40F255C10000__INCLUDED_)
