/*---------------------------------------------------------------------------*\
 | MainFrm.h    - CtlHTML(tm) Control Library Test Program                   |
 |                Windmill Point Software, Alburg, VT 05440                  |
 |                Copyright (c) 1999, Windmill Point Software                |
 |                All Rights Reserved.                                       |
\*---------------------------------------------------------------------------*/

#if !defined(AFX_MAINFRM_H__EB1EC7CA_02DC_11D3_8171_40F255C10000__INCLUDED_)
#define AFX_MAINFRM_H__EB1EC7CA_02DC_11D3_8171_40F255C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;

   CMcMRUList  m_MessageTitleMRU;
   CMcMRUList  m_MessageMessageMRU;
   CMcMRUList  m_MessageFutureMRU;
   CString     m_MessageTitleText;
   CString     m_MessageMessageText;
   CString     m_MessageFuture;
   int         m_MessageStandardButtons;
   int         m_MessageDefaultButton;
   int         m_MessageResourceIcon;
   int         m_MessageStandardIcon;
   int         m_MessageTimeout;
   int         m_MessageHelpID;

   CMcMRUList  m_DetailsTitleMRU;
   CMcMRUList  m_DetailsMessageMRU;
   CMcMRUList  m_DetailsDetailsMRU;
   CMcMRUList  m_DetailsFutureMRU;
   CString     m_DetailsTitleText;
   CString     m_DetailsDetailText;
   CString     m_DetailsMessageText;
   CString     m_DetailsFuture;
   int         m_DetailsStandardButtons;
   int         m_DetailsDefaultButton;
   int         m_DetailsResourceIcon;
   int         m_DetailsStandardIcon;
   int         m_DetailsTimeout;
   int         m_DetailsHelpID;

   CMcMRUList  m_FlashTitleMRU;
   CMcMRUList  m_FlashMessageMRU;
   CMcMRUList  m_FlashFutureMRU;
   CString     m_FlashTitleText;
   CString     m_FlashMessageText;
   CString     m_FlashFuture;
   int         m_FlashResourceIcon;
   int         m_FlashStandardIcon;
   int         m_FlashTimeout;
   int         m_FlashHelpID;

   CString     m_Typeface;
   UINT        m_FontSize;
   BOOL        m_CenterButtons;
   BOOL        m_DitherGraphics;
   BOOL        m_UseDisabled3D;
   CString     m_HelpPath;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int  OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	afx_msg void OnMessageBox();
	afx_msg void OnOptions();
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	afx_msg void OnControls();
	afx_msg void OnModelessExample();
	//}}AFX_MSG
   afx_msg void OnSysColorChange ();
   afx_msg void OnFontChange ();
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__EB1EC7CA_02DC_11D3_8171_40F255C10000__INCLUDED_)
