/*---------------------------------------------------------------------------*\
 | Options.h    - CtlHTML(tm) Control Library Test Program                   |
 |                Windmill Point Software, Alburg, VT 05440                  |
 |                Copyright (c) 1999, Windmill Point Software                |
 |                All Rights Reserved.                                       |
\*---------------------------------------------------------------------------*/

#if !defined(AFX_OPTIONS_H__A7DAF661_E1DE_11D2_8171_00104BCD3AB4__INCLUDED_)
#define AFX_OPTIONS_H__A7DAF661_E1DE_11D2_8171_00104BCD3AB4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CGeneralOptions dialog

class CGeneralOptions : public CPropertyPage
{
	DECLARE_DYNCREATE(CGeneralOptions)

// Construction
public:
	CGeneralOptions();
	~CGeneralOptions();

// Dialog Data
	//{{AFX_DATA(CGeneralOptions)
	enum { IDD = IDD_GENERAL_OPTIONS };
	int		m_RightJustify;
	UINT	   m_FontSize;
	CString	m_Typeface;
	BOOL	   m_DisableControls;
	BOOL	   m_DitherGraphics;
	CString	m_HelpPath;
	BOOL	   m_UseDisabled3D;
	//}}AFX_DATA

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CGeneralOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CGeneralOptions)
	afx_msg void OnFontBrowse();
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// COptions

class COptions : public CMcPropertySheet
{
	DECLARE_DYNAMIC(COptions)

// Construction
public:
	COptions(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	COptions(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptions)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
   CGeneralOptions m_General;
	virtual ~COptions();

	// Generated message map functions
protected:
	//{{AFX_MSG(COptions)
	afx_msg void OnDestroy();
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONS_H__A7DAF661_E1DE_11D2_8171_00104BCD3AB4__INCLUDED_)
