/*---------------------------------------------------------------------------*\
 | Controls.h   - CtlHTML(tm) Control Library Test Program                   |
 |                Windmill Point Software, Alburg, VT 05440                  |
 |                Copyright (c) 1999, Windmill Point Software                |
 |                All Rights Reserved.                                       |
\*---------------------------------------------------------------------------*/

#if !defined(AFX_CONTROLS_H__71B9F362_046B_11D3_8171_00104BCD3AB4__INCLUDED_)
#define AFX_CONTROLS_H__71B9F362_046B_11D3_8171_00104BCD3AB4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CButtons dialog

class CButtons : public CPropertyPage
{
	DECLARE_DYNCREATE(CButtons)

// Construction
public:
	CButtons();
	~CButtons();

// Dialog Data
	//{{AFX_DATA(CButtons)
	enum { IDD = IDD_PUSH_BUTTONS };
	//}}AFX_DATA

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CButtons)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CButtons)
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CCheckBoxes dialog

class CCheckBoxes : public CPropertyPage
{
	DECLARE_DYNCREATE(CCheckBoxes)

// Construction
public:
	CCheckBoxes();
	~CCheckBoxes();

// Dialog Data
	//{{AFX_DATA(CCheckBoxes)
	enum { IDD = IDD_CHECK_BOXES };
	//}}AFX_DATA

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCheckBoxes)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CCheckBoxes)
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CText dialog

class CText : public CPropertyPage
{
	DECLARE_DYNCREATE(CText)

// Construction
public:
	CText();
	~CText();

// Dialog Data
	//{{AFX_DATA(CText)
	enum { IDD = IDD_TEXT };
	//}}AFX_DATA

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CText)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CText)
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CControls

class CControls : public CMcPropertySheet
{
	DECLARE_DYNAMIC(CControls)

// Construction
public:
	CControls(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CControls(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CControls)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CControls();

   CButtons    m_Buttons;
   CCheckBoxes m_CheckBoxes;
   CText       m_Text;

	// Generated message map functions
protected:
	//{{AFX_MSG(CControls)
	afx_msg void OnDestroy();
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONTROLS_H__71B9F362_046B_11D3_8171_00104BCD3AB4__INCLUDED_)
