/*---------------------------------------------------------------------------*\
 | IntroDialog.cpp - CtlHTML(tm) Control Library Test Program                |
 |                   Windmill Point Software, Alburg, VT 05440               |
 |                   Copyright (c) 1999, Windmill Point Software             |
 |                   All Rights Reserved.                                    |
\*---------------------------------------------------------------------------*/

#include "stdafx.h"
#include "CtlHTML Demo.h"
#include "DevUI.h"
#include "IntroDialog.h"
#include "..\CtlHtml.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIntroDialog dialog


BEGIN_MESSAGE_MAP(CIntroDialog, CDialog)
	//{{AFX_MSG_MAP(CIntroDialog)
	ON_WM_ACTIVATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

CIntroDialog::CIntroDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CIntroDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CIntroDialog)
	m_ShowIntro = TRUE;
	//}}AFX_DATA_INIT
}

void CIntroDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CIntroDialog)
	DDX_Check(pDX, IDC_SHOWINTRO, m_ShowIntro);
	//}}AFX_DATA_MAP
}

BOOL CIntroDialog::OnInitDialog() 
{
 	CDialog::OnInitDialog();
   CtlHTMLSubclassDialog(m_hWnd);
	return TRUE;
}

void CIntroDialog::OnActivate (UINT nState, CWnd* pWndOther, BOOL bMinimized)
{
   CDialog::OnActivate(nState, pWndOther, bMinimized);
   if (DisableControls)
      CtlHTMLDialogEnable(m_hWnd, nState != WA_INACTIVE);
}

